#ifndef __COMMON_H
#define __COMMON_H
/************************************************/
/*                                              */
/*     common control header                    */
/*                                              */
/************************************************/

/*------ Define -----------------------------*/
/*************************************
 ***   CAMERA CH                   ***
 *************************************/
#ifdef NVPAX230
#define CAMERACH_MIN   0
#define CAMERACH_MAX   3
#endif
#ifdef SVPAX330
#define CAMERACH_MIN   0
#define CAMERACH_MAX   0
#endif

/*************************************
 ***   CHAR CDDE                   ***
 *************************************/
#define CODE_CTRC      0x03u
#define CODE_BS    	   0x08u
#define CODE_CR        0x0Au
#define CODE_TAB       0x09u
#define CODE_LF        0x0Du
#define CODE_ESP       0x1Bu
#define CODE_SP        0x20u
#define CODE_DEL       0x7Fu

/*------ Extern -----------------------------*/

/*------ Prototype --------------------------*/
void longait(long msec);
char h2c(unsigned char hex);
void h2char(char *str, unsigned char ch);
void h2a(char *str, unsigned long hex);
void h2a8(char *str, unsigned long hex);
void h2a6(char *str, unsigned long hex);
void h2a4(char *str, unsigned long hex);
void i2a(char *str, unsigned long dec);
char a2i(char *str, unsigned long *dec);
char a2h(char *str, unsigned long *hex);
long a2h1(char ch);
void a2char(char *str, unsigned char *hex);
void rm_space(char *str);
void str2lolong(char *str);
char *get_longord(char *str);
char *get_word_token(char *str, char token);

#endif